javax.el

## Class ELException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.el.ELException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MethodNotFoundException, PropertyNotFoundException, PropertyNotWritableException

    public class ELException
    extends java.lang.RuntimeException

Represents any of the exception conditions that can arise during expression evaluation.

Since:
  JSP 2.1
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ELException()` Creates an `ELException` with no detail message.
`ELException(java.lang.String pMessage)` Creates an `ELException` with the provided detail message.
`ELException(java.lang.String pMessage, java.lang.Throwable pRootCause)` Creates an ELException with the given detail message and root cause.
`ELException(java.lang.Throwable pRootCause)` Creates an `ELException` with the given cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ELException

    public ELException()

Creates an `ELException` with no detail message.

#### ELException

    public ELException(java.lang.String pMessage)

Creates an `ELException` with the provided detail message.

Parameters:
  `pMessage` - the detail message

#### ELException

    public ELException(java.lang.Throwable pRootCause)

Creates an `ELException` with the given cause.

Parameters:
  `pRootCause` - the originating cause of this exception

#### ELException

    public ELException(java.lang.String pMessage,
               java.lang.Throwable pRootCause)

Creates an ELException with the given detail message and root cause.

Parameters:
  `pMessage` - the detail message
  `pRootCause` - the originating cause of this exception